Translate (JavaFX 17)

Module javafx.graphics
Package javafx.scene.transform

## Class Translate

- java.lang.Object
- - javafx.scene.transform.Transform
  - - javafx.scene.transform.Translate

- All Implemented Interfaces:
    `Cloneable`, `EventTarget`

      public class Translate
      extends Transform

  This class represents an `Affine` object that translates coordinates by the specified factors. The matrix representing the translating transformation by distances `x`, `y` and `z` is as follows:

                    [   1   0   0   x   ]
                    [   0   1   0   y   ]
                    [   0   0   1   z   ]

  Since:
    JavaFX 2.0

- - ### Property Summary

    Properties
    Type | Property | Description
    --- | --- | ---
    `DoubleProperty` | `x` | Defines the distance by which coordinates are translated in the X axis direction
    `DoubleProperty` | `y` | Defines the distance by which coordinates are translated in the Y axis direction
    `DoubleProperty` | `z` | Defines the distance by which coordinates are translated in the Z axis direction

    - ### Properties declared in class javafx.scene.transform.Transform

      `identity, onTransformChanged, type2D`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Translate()` | Creates a default Translate (identity).
    `Translate​(double x, double y)` | Creates a two-dimensional Translate.
    `Translate​(double x, double y, double z)` | Creates a three-dimensional Translate.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `double` | `getX()` | Gets the value of the property x.
    `double` | `getY()` | Gets the value of the property y.
    `double` | `getZ()` | Gets the value of the property z.
    `void` | `setX​(double value)` | Sets the value of the property x.
    `void` | `setY​(double value)` | Sets the value of the property y.
    `void` | `setZ​(double value)` | Sets the value of the property z.
    `String` | `toString()` | Returns a string representation of this `Translate` object.
    `DoubleProperty` | `xProperty()` | Defines the distance by which coordinates are translated in the X axis direction
    `DoubleProperty` | `yProperty()` | Defines the distance by which coordinates are translated in the Y axis direction
    `DoubleProperty` | `zProperty()` | Defines the distance by which coordinates are translated in the Z axis direction

    - ### Methods declared in class javafx.scene.transform.Transform

      `addEventFilter, addEventHandler, affine, affine, clone, column, column, createConcatenation, createInverse, deltaTransform, deltaTransform, deltaTransform, deltaTransform, determinant, getElement, getMxx, getMxy, getMxz, getMyx, getMyy, getMyz, getMzx, getMzy, getMzz, getOnTransformChanged, getTx, getTy, getTz, identityProperty, inverseDeltaTransform, inverseDeltaTransform, inverseDeltaTransform, inverseDeltaTransform, inverseTransform, inverseTransform, inverseTransform, inverseTransform, inverseTransform, inverseTransform2DPoints, inverseTransform3DPoints, isIdentity, isType2D, onTransformChangedProperty, removeEventFilter, removeEventHandler, rotate, row, row, scale, scale, setOnTransformChanged, shear, shear, similarTo, toArray, toArray, transform, transform, transform, transform, transform, transform2DPoints, transform3DPoints, transformChanged, translate, type2DProperty`

    - ### Methods declared in class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods declared in interface javafx.event.EventTarget

      `buildEventDispatchChain`

- - ### Property Detail

    - #### x

          public final DoubleProperty xProperty

      Defines the distance by which coordinates are translated in the X axis direction
      See Also:
        `getX()`, `setX(double)`

    - #### y

          public final DoubleProperty yProperty

      Defines the distance by which coordinates are translated in the Y axis direction
      See Also:
        `getY()`, `setY(double)`

    - #### z

          public final DoubleProperty zProperty

      Defines the distance by which coordinates are translated in the Z axis direction
      See Also:
        `getZ()`, `setZ(double)`

  - ### Constructor Detail

    - #### Translate

          public Translate()

      Creates a default Translate (identity).

    - #### Translate

          public Translate​(double x,
                           double y)

      Creates a two-dimensional Translate.
      Parameters:
        `x` - the distance by which coordinates are translated in the X axis direction
        `y` - the distance by which coordinates are translated in the Y axis direction

    - #### Translate

          public Translate​(double x,
                           double y,
                           double z)

      Creates a three-dimensional Translate.
      Parameters:
        `x` - the distance by which coordinates are translated in the X axis direction
        `y` - the distance by which coordinates are translated in the Y axis direction
        `z` - the distance by which coordinates are translated in the Z axis direction

  - ### Method Detail

    - #### setX

          public final void setX​(double value)

      Sets the value of the property x.
      Property description:
        Defines the distance by which coordinates are translated in the X axis direction

    - #### getX

          public final double getX()

      Gets the value of the property x.
      Property description:
        Defines the distance by which coordinates are translated in the X axis direction

    - #### xProperty

          public final DoubleProperty xProperty()

      Defines the distance by which coordinates are translated in the X axis direction
      See Also:
        `getX()`, `setX(double)`

    - #### setY

          public final void setY​(double value)

      Sets the value of the property y.
      Property description:
        Defines the distance by which coordinates are translated in the Y axis direction

    - #### getY

          public final double getY()

      Gets the value of the property y.
      Property description:
        Defines the distance by which coordinates are translated in the Y axis direction

    - #### yProperty

          public final DoubleProperty yProperty()

      Defines the distance by which coordinates are translated in the Y axis direction
      See Also:
        `getY()`, `setY(double)`

    - #### setZ

          public final void setZ​(double value)

      Sets the value of the property z.
      Property description:
        Defines the distance by which coordinates are translated in the Z axis direction

    - #### getZ

          public final double getZ()

      Gets the value of the property z.
      Property description:
        Defines the distance by which coordinates are translated in the Z axis direction

    - #### zProperty

          public final DoubleProperty zProperty()

      Defines the distance by which coordinates are translated in the Z axis direction
      See Also:
        `getZ()`, `setZ(double)`

    - #### toString

          public String toString()

      Returns a string representation of this `Translate` object.
      Overrides:
        `toString` in class `Object`
      Returns:
        a string representation of this `Translate` object.